Bug 1476030 - Once storage domain/Host is moved to maintenance engine should also disconnect non-required networks used for the iSCSI Bond
Once storage domain/Host is moved to maintenance engine should also disconnec...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: Maor
meital avital
: Improvement, SubTask
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 17:45 EDT by Maor
Modified: 2017-10-25 05:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)

  None (edit)
Description Maor 2017-07-27 17:45:05 EDT
Description of problem:
Once an iSCSI storage domain is deactivated or a Host is being
moved to maintenance we do not disconnect the iSCSI sessions of the
additional networks, configured in the iSCSI bond.

Basically the disconnect part will only disconnect the session from
the "default" network but the other non-required networks will stay
connected to the iSCSI session.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Add iSCSI bond with active iSCSI storage domain and non required networks
2. Move storage domain to maintenance

Actual results:
non required networks are still connected

Expected results:
non required networks should be disconnected

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2017-07-27 17:45:52 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 2 Yaniv Kaul 2017-08-14 02:59:56 EDT
Why is it needed?
Comment 3 Maor 2017-08-14 03:08:03 EDT
(In reply to Yaniv Kaul from comment #2)
> Why is it needed?

Those are redundant connections from the host to the scsi storage domain which are not relevant once the user will deactivate a scsi storage domain or host, and even after removing them from oVirt.
The non-required networks will still be connected from the host to the scsi SD.

Note You need to log in before you can comment on or make changes to this bug.